apiVersion: observability.open-cluster-management.io/v1beta1
kind: ObservabilityAddon
metadata:
  creationTimestamp: '2024-03-18T23:45:05Z'
  generation: 2
  managedFields:
    - apiVersion: observability.open-cluster-management.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:ownerReferences':
            .: {}
            'k:{"uid":"5e4ec4c0-777d-429d-accc-b5c8f3395f19"}': {}
        'f:spec':
          .: {}
          'f:enableMetrics': {}
          'f:interval': {}
          'f:resources':
            .: {}
            'f:limits':
              .: {}
              'f:cpu': {}
              'f:memory': {}
            'f:requests':
              .: {}
              'f:cpu': {}
              'f:memory': {}
      manager: registration-operator
      operation: Update
      time: '2024-03-19T04:11:26Z'
    - apiVersion: observability.open-cluster-management.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status': {}
      manager: endpoint-monitoring-operator
      operation: Update
      subresource: status
      time: '2024-03-19T09:22:02Z'
    - apiVersion: observability.open-cluster-management.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions': {}
      manager: metrics-collector
      operation: Update
      subresource: status
      time: '2024-03-19T09:22:26Z'
  name: observability-addon
  namespace: open-cluster-management-addon-observability
  ownerReferences:
    - apiVersion: work.open-cluster-management.io/v1
      kind: AppliedManifestWork
      name: 1c4b6264b6042fbc6c88524faf30018ac25532dc823a3a7dc8291f2eba63fe1f-clc-aws-1710787980182-observability
      uid: 5e4ec4c0-777d-429d-accc-b5c8f3395f19
  resourceVersion: '486500'
  uid: 2602be57-7eb3-41c9-a0cd-be144270c0c7
spec:
  enableMetrics: true
  interval: 30
  resources:
    limits:
      cpu: 200m
      memory: 700Mi
    requests:
      cpu: 10m
      memory: 100Mi
status:
  conditions:
    - lastTransitionTime: '2024-03-19T09:22:02Z'
      message: Metrics collector deployed
      reason: Deployed
      status: 'False'
      type: Progressing
    - lastTransitionTime: '2024-03-19T09:22:26Z'
      message: Cluster metrics sent successfully
      reason: Available
      status: 'True'
      type: Available
